Skip to main content
`Ctrl`+`K`

# MatPartitioningPTScotchSetImbalance

Sets the value of the load imbalance ratio to be used during strategy selection.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPTScotchSetImbalance(MatPartitioning part, PetscReal imb)

Collective

## Input Parameters

- part - the partitioning context

- imb - the load imbalance ratio

## Options Database Key

- -mat_partitioning_ptscotch_imbalance imb - set load imbalance ratio

## Note

Must be in the range [0,1]. The default value is 0.01.

## See Also

`MATPARTITIONINGSCOTCH`, `MatPartitioningPTScotchSetStrategy()`, `MatPartitioningPTScotchGetImbalance()`

## Level

advanced

## Location

src/mat/graphops/partition/impls/scotch/scotch.c

## Implementations

MatPartitioningPTScotchSetImbalance_PTScotch() in src/mat/graphops/partition/impls/scotch/scotch.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages